require_relative "die"
require_relative "player"
require_relative "treasure_trove"
require_relative 'loaded_die'

module JkimsGame
  module GameTurn
    def self.take_turn(player)
      case  Die.new.roll
      when 5..6
        player.w00t
      when 3..4
        puts "#{player.name} is skipped"
      else
        player.blam
      end
      treasure = TreasureTrove.random
      player.found_treasure(treasure)
    end
  end
end
